Currency Default Value¶
Currency Default Value - Get Currency Default Value¶
HTTP Request
GET /api/currency-default-values/{id}
📋 Description: Retrieves the default currency values associated with a specific asset in the Nakisa Portfolio Management Suite, facilitating accurate financial analytics and reporting for real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "erpSystemId": 0,
10 "currencyId": 0,
11 "currency": {
12 "id": 0,
13 "status": "CREATED",
14 "displayId": "string",
15 "erpSystemId": 0,
16 "erpSystemDisplayId": "string",
17 "name": "string",
18 "decimalPoints": 0,
19 "depreciationAreaId": 0
20 },
21 "erpSystem": {
22 "id": 0,
23 "status": "CREATED",
24 "displayId": "string",
25 "name": "string",
26 "type": "NAKISA",
27 "sapVersion": "ECC_EHP5",
28 "encryptedPassword": "string",
29 "connectionString": "string"
30 }
31}
Currency Default Value - Update Currency Default Value¶
HTTP Request
PUT /api/currency-default-values/{id}
📋 Description: Updates the default currency values for a specified asset within the Nakisa Portfolio Management Suite, ensuring accurate financial analytics and reporting for real estate properties and portfolios.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
body |
body |
true |
Request body containing the updated default currency values for a specified asset within the Nakisa Portfolio Management Suite, including relevant financial metrics and metadata. |
Body Parameters
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "erpSystemId": 0,
10 "currencyId": 0,
11 "currency": {
12 "id": 0,
13 "status": "CREATED",
14 "displayId": "string",
15 "erpSystemId": 0,
16 "erpSystemDisplayId": "string",
17 "name": "string",
18 "decimalPoints": 0,
19 "depreciationAreaId": 0
20 },
21 "erpSystem": {
22 "id": 0,
23 "status": "CREATED",
24 "displayId": "string",
25 "name": "string",
26 "type": "NAKISA",
27 "sapVersion": "ECC_EHP5",
28 "encryptedPassword": "string",
29 "connectionString": "string"
30 }
31}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "createdBy": "string",
3 "lastModifiedBy": "string",
4 "createdDate": "2019-08-24T14:15:22Z",
5 "lastModifiedDate": "2019-08-24T14:15:22Z",
6 "archived": true,
7 "externalId": "string",
8 "id": 0,
9 "erpSystemId": 0,
10 "currencyId": 0,
11 "currency": {
12 "id": 0,
13 "status": "CREATED",
14 "displayId": "string",
15 "erpSystemId": 0,
16 "erpSystemDisplayId": "string",
17 "name": "string",
18 "decimalPoints": 0,
19 "depreciationAreaId": 0
20 },
21 "erpSystem": {
22 "id": 0,
23 "status": "CREATED",
24 "displayId": "string",
25 "name": "string",
26 "type": "NAKISA",
27 "sapVersion": "ECC_EHP5",
28 "encryptedPassword": "string",
29 "connectionString": "string"
30 }
31}
Currency Default Value - Delete Currency Default Value¶
HTTP Request
DELETE /api/currency-default-values/{id}
📋 Description: Deletes the specified default currency value from the Nakisa Portfolio Management Suite, ensuring accurate financial analytics and reporting for portfolio and asset management within real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
204 |
No Content |
None |
Currency Default Value - Get Currency Default Values¶
HTTP Request
GET /api/currency-default-values
📋 Description: Retrieves the default currency values used in the Nakisa Portfolio Management Suite, facilitating accurate financial analytics and reporting for portfolios, assets, and real estate properties.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
pageable |
query |
true |
Indicates whether the results of the currency default values query should be paginated, facilitating efficient data retrieval in the context of portfolio and asset management analytics. |
|
id |
query |
string |
false |
Unique identifier for the resource |
currency-id |
query |
string |
false |
Unique identifier for the currency used in portfolio, asset, and analytics transactions within the Nakisa Portfolio Management Suite. |
erp-system-id |
query |
string |
false |
Unique identifier for the ERP system, used to retrieve default currency values relevant to portfolio, asset, and real estate property analytics within the Nakisa Portfolio Management Suite. |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Example Responses
1{
2 "_embedded": {
3 "currencyDefaultValues": [
4 {
5 "createdBy": "string",
6 "lastModifiedBy": "string",
7 "createdDate": "2019-08-24T14:15:22Z",
8 "lastModifiedDate": "2019-08-24T14:15:22Z",
9 "archived": true,
10 "externalId": "string",
11 "id": 0,
12 "erpSystemId": 0,
13 "currencyId": 0,
14 "currency": {
15 "id": 0,
16 "status": "CREATED",
17 "displayId": "string",
18 "erpSystemId": 0,
19 "erpSystemDisplayId": "string",
20 "name": "string",
21 "decimalPoints": 0,
22 "depreciationAreaId": 0
23 },
24 "erpSystem": {
25 "id": 0,
26 "status": "CREATED",
27 "displayId": "string",
28 "name": "string",
29 "type": "NAKISA",
30 "sapVersion": "ECC_EHP5",
31 "encryptedPassword": "string",
32 "connectionString": "string"
33 }
34 }
35 ]
36 },
37 "page": {
38 "size": 0,
39 "totalElements": 0,
40 "totalPages": 0,
41 "number": 0
42 }
43}
Currency Default Value - Create Currency Default Values¶
HTTP Request
POST /api/currency-default-values
📋 Description: Creates default currency values for assets within the Nakisa Portfolio Management Suite, enabling consistent financial analytics and reporting across real estate properties in the portfolio.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the default currency values for portfolio assets, facilitating accurate financial analytics and reporting within the Nakisa Portfolio Management Suite. |
Body Parameters
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "erpSystemId": 0,
11 "currencyId": 0,
12 "currency": {
13 "id": 0,
14 "status": "CREATED",
15 "displayId": "string",
16 "erpSystemId": 0,
17 "erpSystemDisplayId": "string",
18 "name": "string",
19 "decimalPoints": 0,
20 "depreciationAreaId": 0
21 },
22 "erpSystem": {
23 "id": 0,
24 "status": "CREATED",
25 "displayId": "string",
26 "name": "string",
27 "type": "NAKISA",
28 "sapVersion": "ECC_EHP5",
29 "encryptedPassword": "string",
30 "connectionString": "string"
31 }
32 }
33]
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
201 |
Created |
Inline |
Example Responses
1[
2 {
3 "createdBy": "string",
4 "lastModifiedBy": "string",
5 "createdDate": "2019-08-24T14:15:22Z",
6 "lastModifiedDate": "2019-08-24T14:15:22Z",
7 "archived": true,
8 "externalId": "string",
9 "id": 0,
10 "erpSystemId": 0,
11 "currencyId": 0,
12 "currency": {
13 "id": 0,
14 "status": "CREATED",
15 "displayId": "string",
16 "erpSystemId": 0,
17 "erpSystemDisplayId": "string",
18 "name": "string",
19 "decimalPoints": 0,
20 "depreciationAreaId": 0
21 },
22 "erpSystem": {
23 "id": 0,
24 "status": "CREATED",
25 "displayId": "string",
26 "name": "string",
27 "type": "NAKISA",
28 "sapVersion": "ECC_EHP5",
29 "encryptedPassword": "string",
30 "connectionString": "string"
31 }
32 }
33]
Response Schema
Status Code 201
Name |
Type |
Required |
Restrictions |
Description |
|---|---|---|---|---|
anonymous |
false |
none |
[Data transfer object representing the default currency settings within the Nakisa Portfolio Management Suite, essential for accurate financial analytics and reporting across portfolios, assets, and real estate properties.] |
|
» createdBy |
string |
false |
none |
Username of who created this resource |
» lastModifiedBy |
string |
false |
none |
Username of who last modified this resource |
» createdDate |
string(date-time) |
false |
none |
Date of the created |
» lastModifiedDate |
string(date-time) |
false |
none |
Date of the last modified |
» archived |
boolean |
false |
none |
Boolean flag indicating archived status |
» externalId |
string |
false |
none |
Unique identifier for the external |
» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
» erpSystemId |
integer(int64) |
false |
none |
Unique identifier for the erp system |
» currencyId |
integer(int64) |
false |
none |
Unique identifier for the currency |
» currency |
false |
none |
Data transfer object representing currency details utilized within the Nakisa Portfolio Management Suite, facilitating accurate financial analysis and reporting for portfolio, asset, and real estate property management. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» status |
string |
false |
none |
Status of the resource |
»» displayId |
string |
true |
none |
Unique identifier for the display |
»» erpSystemId |
integer(int64) |
false |
none |
Unique identifier for the erp system |
»» erpSystemDisplayId |
string |
false |
none |
Unique identifier for the erp system display |
»» name |
string |
false |
none |
Name of the resource |
»» decimalPoints |
integer(int32) |
true |
none |
Numeric value representing decimalPoints |
»» depreciationAreaId |
integer(int64) |
false |
none |
Unique identifier for the depreciation area |
» erpSystem |
false |
none |
Data transfer object representing key information related to the portfolio and asset management within the Nakisa Portfolio Management Suite, facilitating analytics and insights for real estate properties. |
|
»» id |
integer(int64) |
false |
none |
Unique identifier for the resource |
»» status |
string |
false |
none |
Status of the resource |
»» displayId |
string |
true |
none |
Unique identifier for the display |
»» name |
string |
true |
none |
Name of the resource |
»» type |
string |
true |
none |
Type of the resource |
»» sapVersion |
string |
false |
none |
Specifies the version of the SAP system being utilized, relevant for accurate portfolio, asset, and analytics management within the Nakisa Portfolio Management Suite. |
»» encryptedPassword |
string |
false |
none |
Securely stores the encrypted password associated with user accounts within the Nakisa Portfolio Management Suite, ensuring the protection of sensitive information related to portfolio, asset, and real estate property analytics. |
»» connectionString |
string |
false |
none |
Connection string used to establish a secure link to the ERP system, facilitating data integration for portfolio, asset, analytics, and real estate property management within the Nakisa Portfolio Management Suite. |
Enumerated Values
Attribute |
Value |
|---|---|
sapVersion |
ECC_EHP5, ECC_EHP6, ECC_EHP7, ECC_EHP8, S4_1503, S4_1610, S4_1709, S4_1809, S4_1909 |
status |
ACTIVE, CREATED, DECOMMISSIONED, DISABLED |
type |
NAKISA, SAP |